
# NOTE: build against: rhevm-*-docs-candidate

# change these as needed
%global locale ja-JP
%global beta 0
%global product_line 3.6
#

%global manualdir %{_docdir}/rhevm-doc/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization
%global admin_guide Administration_Guide
%global install_guide Installation_Guide
%global mrn Manager_Release_Notes
%global tech_guide Technical_Guide
%global user_guide User_Guide

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-missing.pdf
%global missing_html_placeholder %{product}-missing

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global mrn_book %{product}-%{mrn}-%{product_line_path}-web-%{locale}
%global tech_guide_book %{product}-%{tech_guide}-%{product_line_path}-web-%{locale}
%global user_guide_book %{product}-%{user_guide}-%{product_line_path}-web-%{locale}

Name:		rhevm-doc-%{locale}
Version:	%{product_line}.0
Release:	2%{?dist}

Summary:	Red Hat Enterprise Virtualization Japanese documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com

Source0:	rhevm-doc-index-%{locale}-%{version}-2.tar.gz
#Source1:	%{admin_guide_book}-%{product_line}-0.tgz
#Source2:	%{install_guide_book}-%{product_line}-0.tgz
#Source3:	%{mrn_book}-%{product_line}-0.tgz
#Source4:	%{tech_guide_book}-%{product_line}-0.tgz
#Source5:	%{user_guide_book}-%{product_line}-0.tgz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires: publican-API = 4.1
BuildRequires: desktop-file-utils
#BuildRequires: publican-redhat-201405
BuildRequires:	python
BuildRequires:	python-argparse
Requires:	rhevm-doc >= 3.6
Requires:	rhevm-doc < 3.7

%description

This package contains the Red Hat Enterprise Virtualization 
Japanese in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
#%setup -q -T -D -a 1 -c
#%setup -q -T -D -a 2 -c
#%setup -q -T -D -a 3 -c
#%setup -q -T -D -a 4 -c
#%setup -q -T -D -a 5 -c

%build
make -C rhevm-doc-index

####################
# comment out any of the below books (or individual formats) as necessary. The rest of the script will insert placeholders.
####################

#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_guide_book}-%{product_line} --publish
#touch %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_guide}/%{lang_css}
#rm -rf tmp

#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{install_guide_book}-%{product_line} --publish
#touch %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{install_guide}/%{lang_css}
#rm -rf tmp

#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{mrn_book}-%{product_line} --publish
#touch %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{mrn}/%{lang_css}
#rm -rf tmp

#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{tech_guide_book}-%{product_line} --publish
#touch %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{tech_guide}/%{lang_css}
#rm -rf tmp

#publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{user_guide_book}-%{product_line} --publish
#touch %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{user_guide}/%{lang_css}
#rm -rf tmp

%install
rm -rf "%{buildroot}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

# create the directory structure that ovirt-engine expects
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{mrn}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{user_guide}

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{mrn}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_guide}

# package any book content that was generated by publican
# if there was no book content, the first cp fails and the second cp installs a placeholder

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}/
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}/
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{mrn}/ 
cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_guide}/ 
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{user_guide}/ 

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}/%{product}-%{admin_guide}-%{locale}.pdf
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}/%{product}-%{install_guide}-%{locale}.pdf
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{mrn}/%{product}-%{mrn}-%{locale}.pdf
cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_guide}/%{product}-%{tech_guide}-%{locale}.pdf
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_guide}/%{product}-%{user_guide}-%{locale}.pdf

# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')" || /bin/true
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')" || /bin/true
done

%files 
%dir %{_docdir}/rhevm-doc

%{manualdir}/

%changelog
* Thu Dec 3 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-2
- 3.6.0-2.
* Tue Aug 18 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-1
- 3.6.0-1. alpha placeholder.
* Fri Mar 27 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-1
- 3.5.1-1. updated with multi-locale mapping files
* Sun Mar 1 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-2
- 3.5.0-2. updated books for 3.5 release.
* Wed Feb 18 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-1
- 3.5.0-1. completely revamped to use docbook source directly.
* Thu May 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-0
- initial 3.4.0 version. changed books to new set. added pdf locale stripping.
* Mon May 27 2013 Ohad Basan <obasan@redhat.com> - 3.2.0-0.2.rc
- 3.2.0-0.1.rc
* Mon May 13 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.rc
- 3.2.0-0.1.rc
